Creates a new payment instrument for a payee. Credentials are tokenized via Basis Theory.
cURL
curl --request POST \ --url https://api.antonpayments.com/v1/payees/{id}/instruments \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "method": "iban", "credentials": {}, "currency": "<string>", "country": "<string>", "label": "<string>", "is_default": false } '
{ "data": { "id": "ins_abc123", "payee_id": "<string>", "merchant_id": "<string>", "method": "iban", "currency": "<string>", "country": "<string>", "label": "<string>", "display_last4": "<string>", "display_bank": "<string>", "display_network": "<string>", "masked_account": "<string>", "status": "active", "is_default": true, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } }
Merchant API key: ak_live_* (production) or ak_test_* (sandbox).
ak_live_*
ak_test_*
Resource identifier.
iban
uk_bank
us_bank
ca_bank
au_bank
swift
clabe
pix
upi
crypto
mobile_money
card
Method-specific credential fields. Tokenized via Basis Theory.
Instrument created.
Show child attributes